/* Versienummer niet meer in sp-control maar in eigen veld */
/* Versienummer connection info is benodigd voor export en import */

DEFINE BUFFER b-pa-customer FOR pa-customer.
DEFINE BUFFER b-sp-control FOR sp-control.
 
FOR EACH b-pa-customer 
         EXCLUSIVE-LOCK:
  
  FIND b-sp-control WHERE 
       b-sp-control.controlkode = "PA-ConnInfoVer-" + b-pa-customer.companycode + "-" + string(b-pa-customer.cust_addressnr)
  EXCLUSIVE-LOCK NO-ERROR.
  
  IF AVAIL b-sp-control 
  THEN DO:
    b-pa-customer.connection_info_version = INT(b-sp-control.lijst).
    DELETE b-sp-control.
  END.

END.
